# CoBlocks WordPress Theme

[![License](https://img.shields.io/badge/license-GPL--3.0%2B-red.svg)](https://github.com/richtabor/coblocks/blob/master/license.txt)

[![CoBlocks, an upcoming suite of Gutenberg Blocks for Content Marketers](https://user-images.githubusercontent.com/1813435/41249944-81eea564-6d83-11e8-87ef-9f87a2c8a077.jpg)](https://coblocks.com?utm_medium=coblocks-github&utm_source=readme&utm_campaign=readme&utm_content=banner)

> 💥 WordPress theme → [Download the CoBlocks theme on WordPress.org](https://wordpress.org/themes/coblocks/).

> 💥 WordPress plugin → [Download the CoBlocks plugin on WordPress.org](https://wordpress.org/plugins/coblocks/).

## Installation ##

1. Install the offical [Gutenberg](https://wordpress.org/plugins/gutenberg/) plugin. Note that Gutenberg is not suggested for use on production sites.
2. Download and install the CoBlocks theme from the [WordPress plugin directory](https://wordpress.org/theme/coblocks/).

## Development ##
1. Clone the GitHub repository: `https://github.com/thatplugincompany/coblocks-theme.git`
2. Browse to the folder in the command line.
3. Run the `npm install` command to install the theme's dependencies within a /node_modules/ folder.
4. Run the `default` gulp task for development.
5. Run the `build` gulp task to process build files and generate a zip.

## Support ##
Need help? This is a developer's portal for CoBlocks and should not be used for general support and queries. Please visit the [CoBlocks support forum on WordPress.org](https://wordpress.org/support/theme/coblocks) if you need help using the plugin.

## Bugs ##
If you find a 🐞 or an issue, [create an issue](https://github.com/thatplugincompany/coblocks-theme/issues/new).

## Contributions ##
Please read the [guidelines for contributing](https://github.com/thatplugincompany/coblocks-theme/blob/master/CONTRIBUTING.md) to CoBlocks. Anyone is welcome to contribute!

There are various ways you can contribute:

1. Raise an [Issue](https://github.com/thatplugincompany/coblocks-theme/issues/new) on GitHub
2. Send a pull request with your bug fixes and/or new features
3. Provide feedback and suggestions on [enhancements](https://github.com/thatplugincompany/coblocks-theme/issues?direction=desc&labels=Enhancement&page=1&sort=created&state=open)

## CoBlocks Plugin Screenshots

---
### GitHub Gist Block
[![CoBlocks GitHub Gist Block](https://user-images.githubusercontent.com/1813435/41250051-d196c97a-6d83-11e8-8567-0723d92fcbc4.jpg)](https://coblocks.com?utm_medium=coblocks-github&utm_source=readme&utm_campaign=readme&utm_content=gist-screenshot)
---
### Accordion Block
[![CoBlocks Accordion Block](https://user-images.githubusercontent.com/1813435/41250059-dbf363ce-6d83-11e8-8115-f0556ad35c51.jpg)](https://coblocks.com?utm_medium=coblocks-github&utm_source=readme&utm_campaign=readme&utm_content=accordion-screenshot)
---
### Click to Tweet Block
[![CoBlocks Click to Tweet Block](https://user-images.githubusercontent.com/1813435/41250070-e5df5b72-6d83-11e8-93b4-af26d977033c.jpg)](https://coblocks.com?utm_medium=coblocks-github&utm_source=readme&utm_campaign=readme&utm_content=click-to-tweet-screenshot)
---
### Giphy Search Block
[![CoBlocks Giphy Search Block](https://user-images.githubusercontent.com/1813435/41250094-f01ea930-6d83-11e8-9c60-5ea7eca383cf.jpg)](https://coblocks.com?utm_medium=coblocks-github&utm_source=readme&utm_campaign=readme&utm_content=gif-screenshot)
---
### Author Block
[![CoBlocks Author Block](https://user-images.githubusercontent.com/1813435/41250109-fbe43fdc-6d83-11e8-9e72-568d4b51663f.jpg)](https://coblocks.com?utm_medium=coblocks-github&utm_source=readme&utm_campaign=readme&utm_content=author-screenshot)
---
### Social Block
[![CoBlocks Social Block](https://user-images.githubusercontent.com/1813435/41250133-085d107c-6d84-11e8-8da4-da299027d937.jpg)](https://coblocks.com?utm_medium=coblocks-github&utm_source=readme&utm_campaign=readme&utm_content=social-screenshot)
